Starmade | texture faces need to be flipped or rotated
Closed, FinishedPublic

Description

Computers are not fixed yet, the "FX" texture face should be on the top, for 4 out of 6 orientations it's on the bottom: BACK, BOTTOM, LEFT, FRONT.

The other 2 have it on the correct side, but that texture needs to be rotated 180 degrees.

Some faces need to be rotated by 180 degrees (3 of the 6 "FX" faces) and some need to be flipped.

Examples:

FX face should be rotated by 180 degrees


1 of the 2 sides needs to be flipped vertically

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19439 (Dev)
Category
Textures
First occurrence (version)
0.19198 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 8 2015, 8:40 AM
lancake added a project: Issue Navigation.
lancake changed Category from none/unspecified to Textures.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.19198 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake closed this task as "Unknown Status".Jun 8 2015, 2:56 PM
Restricted Application edited projects, added Game Development, Starmade; removed Issue Navigation. · View Herald TranscriptJun 8 2015, 2:56 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:25 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Task Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake claimed this task.Sep 21 2015, 10:48 AM
lancake edited the task description. (Show Details)Sep 26 2015, 10:24 AM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.19439 (Dev).
lancake changed the title from "Top and Bottom textures are sometimes switched" to "texture faces need to be flipped or rotated".Sep 26 2015, 10:46 AM
lancake reopened this task as "Resolved".Dec 31 2016, 12:28 AM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptDec 31 2016, 12:28 AM
Croquelune added a comment.EditedJan 8 2017, 8:21 PM

v. 0.199.357

Not resolved for everything. The logic blocks seems impacted since the new textures update. The side face are rotated 90°.

Also the actual gravity block little sides arrows (yellow) are really confusing since they indcate the exact opposite of the gravity direction (red arrow). It should be rotated 180° in order to indicate the gravity direction.

EDIT: See also : https://starmadedock.net/threads/i-hate-ocd-xd.28137/

v. 0.199.357

Not resolved for everything. The logic blocks seems impacted since the new textures update. The side face are rotated 90°.

Also the actual gravity block little sides arrows (yellow) are really confusing since they indcate the exact opposite of the gravity direction (red arrow). It should be rotated 180° in order to indicate the gravity direction.

EDIT: See also : https://starmadedock.net/threads/i-hate-ocd-xd.28137/

gravity unit is fixed now, but the other one seems like something you triggered yourself. F1 + 1/2 rotates or changes the vertex orders,which results in something like that.
Either way, I can't reproduce that in release or the upcoming one, unless I use F1 + 1/2 to mess it up.

Nevermind, you can get it by rotating the logic blocks with copy/paste but that's another task where unrotatable blocks shouldn't be allowed to rotate in any circumstance.

lancake closed this task as "Closed".Tue, Feb 28, 9:59 AM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptTue, Feb 28, 9:59 AM
Restricted Application added a project: Textures. · View Herald TranscriptFri, Mar 10, 5:50 PM